# Class MinObject

java.lang.Object
org.jmol.minimize.MinObject

Direct Known Subclasses:
  `MinAngle, MinBond, MinPosition, MinTorsion`

public abstract class MinObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`data`
`double[]`
`ddata`
`Integer`
`key`
`int`
`type`

## Constructor Summary

Constructors
Constructor
Description
`MinObject()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`decodeKey(Integer key)`
`static Integer`
`getKey(int type, int a1, int a2, int a3, int a4)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### data

public int[] data

### type

public int type

### key

public Integer key

### ddata

public double[] ddata

## Constructor Details

### MinObject

public MinObject()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getKey

public static Integer getKey(int type, int a1, int a2, int a3, int a4)

### decodeKey

public static String decodeKey(Integer key)